<mat-card>
    <mat-card-header [formGroup]="searchForm">
      <mat-form-field class="example-full-width">
        <input matInput placeholder="search" formControlName="search" (keyup.enter)="search()">
      </mat-form-field>
      <button mat-raised-button color="primary" (click)="search()">
        <mat-icon>search</mat-icon>
      </button>
    </mat-card-header>
  </mat-card>
